﻿@using Jumbula.Common.Constants

<!DOCTYPE html>
<html lang="en" xmlns:fb="http://ogp.me/ns/fb#">
<head>
    <title>@ViewBag.Title | Jumbula</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="@ViewBag.MetaDescription" />
    <meta name="keywords" content="@ViewBag.Keywords" />
    @Html.MetaAcceptLanguage()

    @if (Jumbula.Web.Mvc.WebConfig.WebConfigHelper.NoFlowNoIndex)
    {
        // show this tag in dev and qa mode
        <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
    }

    <link href='@Url.Content("~/favicon.ico")' rel='shortcut icon' type='image/x-icon' />
    <link href='@Url.Content("~/favicon.ico")' rel='icon' type='image/x-icon' />

    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans:100,100i,300,300i,400,400i,600,600i,700,700i" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Raleway:700,600,500,300,200,100' rel='stylesheet' type='text/css'>
    @* CSS *@


    @RenderSection("Styles", required: false)

    <!-- Google Tag Manager -->
    <script type="text/javascript">
        (function (w, d, s, l, i) {
            w[l] = w[l] || []; w[l].push({
                'gtm.start':
                new Date().getTime(), event: 'gtm.js'
            }); var f = d.getElementsByTagName(s)[0],
            j = d.createElement(s), dl = l != 'dataLayer' ? '&l=' + l : ''; j.async = true; j.src =
            'https://www.googletagmanager.com/gtm.js?id=' + i + dl; f.parentNode.insertBefore(j, f);
        })(window, document, 'script', 'dataLayer', 'GTM-WMVR42K');
    </script>
    <!-- End Google Tag Manager -->

</head>

<body id="mainBody">

    <!-- Google Tag Manager (noscript) -->
    <noscript>
        <iframe src="https://www.googletagmanager.com/ns.html?id=GTM-WMVR42K"
                height="0" width="0" style="display:none;visibility:hidden"></iframe>
    </noscript>
    <!-- End Google Tag Manager (noscript) -->
    <!---------------------------- Main Start------------------------------>
    @* Navbar *@
    @Html.Partial("_SolutionUpperTray")

    @RenderSection("_Notification", false)


    <div id="solutionContainer" class="clearfix">
        @* Body *@
        @RenderBody()

        @if (ViewBag.IsHome == null || ViewBag.IsHome == false)
        {
            <!-- Footer -->
            <footer id="solutionFooter" class="clearfix">
                <div class="container">
                    <div class="row upper-block">
                        <div class="row-sm-height">
                            <div class="col-sm-4 contact text-center col-sm-height col-sm-middle">
                                <div class="inside-full-height">
                                    <a href="@Url.Action("Contact","Home")"><h5 class="text-uppercase">Let's talk</h5></a>
                                    <p><a href="mailto:@Constants.W_JumbulaInfoEmail">@Constants.W_JumbulaInfoEmail</a></p>
                                    <p><a href="tel:6502570076">(650) 257-0076</a></p>
                                </div>
                            </div>
                            <div class="col-sm-4 careers text-center col-sm-height col-sm-middle">
                                <div class="inside-full-height">
                                    <h5 class="text-uppercase">Find us</h5>
                                    <p>425 Broadway Street<br />Redwood City, CA 94063<br />United States</p>
                                </div>
                            </div>
                            <div class="col-sm-4 careers text-center col-sm-height col-sm-middle">
                                <div class="inside-full-height">
                                    <h5 class="text-uppercase">Service policies</h5>
                                    <p><a href="~/Content/pdf/security-of-data-and-privacypolicy.pdf" target="_blank">Security of data and privacy policy</a></p>
                                    <p><a href="~/Content/pdf/service-level-agreement.pdf" target="_blank">Service level agreement (SLA)</a></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row bottom-block">
                        <div class="row-sm-height">
                            <div class="col-md-5 links text-left col-sm-height col-sm-middle">
                                <div class="inside-full-height">
                                    <p>
                                        <a href="@Url.Action("Pricing","Home")">Pricing</a>
                                        <a href="@Url.Action("Index", "Markets")">Markets</a>
                                        <a href="http://blog.jumbula.com/">Blog</a>
                                        <a href="@Url.Action("Contact","Home")">Contact</a>
                                        @*<a href="@Url.Action("freetrial","Home")" class="free-trial">Start free trial</a>*@
                                        <a href="" class="free-trial href-free-trial">Start free trial</a>
                                    </p>
                                </div>
                            </div>
                            <div class="col-sm-2 social text-center col-sm-height col-sm-middle">
                                <div class="inside-full-height">
                                    <p>
                                        <a href="http://blog.jumbula.com" class="jbi-book" title="Blog"></a>
                                        <a href="https://twitter.com/Jumbulame" class="jbi-twitter" title="Twitter"></a>
                                        <a href="https://www.facebook.com/jumbulame" class="jbi-facebook" title="Facebook"></a>
                                    </p>
                                </div>
                            </div>
                            <div class="col-sm-5 copyright text-right col-sm-height col-sm-middle">
                                <div class="inside-full-height">
                                    <p>&#169 Copyright 2015 Jumbula. All Rights Reserved.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
        }
    </div>

    <!---------------------------- Main End------------------------------>

    <div id="shareModal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header" style="display:none">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                    <p>Loading...</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    @RenderSection("Scripts", required: false)
    @section Scripts{
        @*@RenderSection("Scripts", required: false)*@
        @if (ViewBag.IsHome == null || ViewBag.IsHome == false)
        {
            @*@Scripts.Render("~/bundles/unobtrusive-ajax")
                @Scripts.Render("~/bundles/validate")
                @Scripts.Render("~/bundles/validate-unobtrusive")*@

            <script type="text/javascript">
                function newsletterSucceeded(data) {
                    if (data.status) {
                        $("#solutionFooter .newsletter form").fadeOut(500);
                        setTimeout(function () {
                            $("#solutionFooter .newsletter .newsletter-congrats-message").fadeIn(500);
                        }, 500);
                    } else {
                        $("#solutionFooter .newsletter input").addClass("input-validation-error");
                        $("#solutionFooter .newsletter .form-group .field-validation-valid").removeClass("field-validation-valid").addClass("field-validation-error").html('<span id="BizName-error" class="">Please enter a valid email address.</span>');
                    }
                }

                function newsletterCompleted() {
                    $('#solutionFooter .newsletter form :submit').button('reset');
                }

                function newsletterFailed() {

                }

                function newsletterBegan() {
                    $('#solutionFooter .newsletter form :submit').button('loading');
                }



            </script>
        }

    }
    <script>
        $(function () {
            $('.href-free-trial').on('click', function (e) {
                e.preventDefault();
                $.ajax({
                    type: 'POST',
                    url: '/Verification/GetToken',
                    success: function (data) {
                        if (data.status) {
                            var url = '@Url.Action("CreateAccountStep1", "Club")?token=' + data.message;
                            window.location = url;
                        } else {
                            $bodyContent.find('.verify-message-box').addClass('has-error');
                            $bodyContent.append('<div id="verificationError"><span>' + data.message + '</span></div>');
                        }
                    }
                });
            });
        });

    </script>
</body>
</html>
